%global artifactId maven-scr-plugin
Name:           felix-scr-maven-plugin
Version:        1.21.0
Release:        2%{?dist}
Summary:        Apache Felix Maven SCR Plugin
License:        ASL 2.0
URL:            http://felix.apache.org/documentation/subprojects/apache-felix-maven-scr-plugin.html
BuildArch:      noarch

Source0:        http://www.apache.org/dist/felix/%{artifactId}-%{version}-source-release.tar.gz

BuildRequires:  maven-local

BuildRequires:  mvn(org.apache.felix:felix-parent:pom:)
BuildRequires:  mvn(org.apache.felix:org.apache.felix.scr.generator) >= 1.12.0
BuildRequires:  mvn(org.apache.maven:maven-archiver)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.sonatype.plexus:plexus-build-api)

BuildRequires:  mvn(org.mockito:mockito-all)

%description
Maven plugin for generating OSGi Declarative Services annotations

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{artifactId}-%{version}

%pom_remove_plugin :maven-invoker-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc changelog.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Fri Jun 12 2015 Jie Kang <jkang@redhat.com> - 1.21.0-2
- Changed package name to felix-scr-maven-plugin
- Removed unneeded BuildRequires/Requires
- Use source-release tarball
- Use minimal version 1.12.0 for felix-scr-generator 

* Mon May 25 2015 Jie Kang <jkang@redhat.com> - 1.21.0-1
- Initial package
